Bug 966270 - CVE-2013-2098 CVE-2013-2099 python: ssl.match_hostname() DoS via certificates with specially crafted hostname wildcard patterns [fedora-all]
CVE-2013-2098 CVE-2013-2099 python: ssl.match_hostname() DoS via certificates...
Product: Fedora
Classification: Fedora
Component: python-tornado (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2013-2099
  Show dependency treegraph
Reported: 2013-05-22 18:17 EDT by Vincent Danen
Modified: 2014-12-19 13:27 EST (History)
3 users (show)

See Also:
Fixed In Version: python-tornado-2.2.1-7.fc19
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-12-16 23:48:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-05-22 18:17:08 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Vincent Danen 2013-05-22 18:17:18 EDT
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
Comment 2 Fedora Admin XMLRPC Client 2013-12-01 11:07:31 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2013-12-21 08:40:54 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Vincent Danen 2014-01-11 14:19:16 EST
python-tornado uses custom match_hostname()/other functions which are already available via python_backports_ssl_match_hostname. It may be easier to include this package in BuildRequires and unbundle the custom code.  It would also make future maintenance of this package easier.

(As an aside, this is what is being done for RHEL7)
Comment 5 pjp 2014-12-03 13:23:15 EST
Hello tomspur,

Could you please fix this soon?
Comment 6 Fedora Update System 2014-12-05 12:27:13 EST
python-tornado-2.2.1-7.fc19 has been submitted as an update for Fedora 19.
Comment 7 Fedora Update System 2014-12-05 12:28:35 EST
python-tornado-2.2.1-7.fc20 has been submitted as an update for Fedora 20.
Comment 8 Fedora Update System 2014-12-05 21:37:50 EST
Package python-tornado-2.2.1-7.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-tornado-2.2.1-7.fc20'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2014-12-16 23:48:37 EST
python-tornado-2.2.1-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2014-12-19 13:27:04 EST
python-tornado-2.2.1-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.